import { BasePartialBatchProcessor } from './BasePartialBatchProcessor';
import type { BaseRecord, FailureResponse, SuccessResponse } from './types';
/**
 * Process native partial responses from SQS, Kinesis Data Streams, and DynamoDB
 */
declare class BatchProcessor extends BasePartialBatchProcessor {
    processRecord(record: BaseRecord): Promise<SuccessResponse | FailureResponse>;
    /**
     * Process a record with instance's handler
     * @param _record Batch record to be processed
     * @returns response of success or failure
     */
    processRecordSync(_record: BaseRecord): SuccessResponse | FailureResponse;
}
export { BatchProcessor };
//# sourceMappingURL=BatchProcessor.d.ts.map