import type { DynamoDBRecord, KinesisStreamRecord, SQSRecord } from 'aws-lambda';
import type { PartialItemFailureResponse, EventSourceDataClassTypes } from './types';
declare const EventType: {
    readonly SQS: "SQS";
    readonly KinesisDataStreams: "KinesisDataStreams";
    readonly DynamoDBStreams: "DynamoDBStreams";
};
declare const DEFAULT_RESPONSE: PartialItemFailureResponse;
declare const DATA_CLASS_MAPPING: {
    SQS: (record: EventSourceDataClassTypes) => SQSRecord;
    KinesisDataStreams: (record: EventSourceDataClassTypes) => KinesisStreamRecord;
    DynamoDBStreams: (record: EventSourceDataClassTypes) => DynamoDBRecord;
};
export { EventType, DEFAULT_RESPONSE, DATA_CLASS_MAPPING };
//# sourceMappingURL=constants.d.ts.map