import { BasePartialBatchProcessor } from './BasePartialBatchProcessor';
import type { BaseRecord, BatchProcessingOptions, PartialItemFailureResponse } from './types';
/**
 * Higher level function to handle batch event processing
 * @param event Lambda's original event
 * @param recordHandler Callable function to process each record from the batch
 * @param processor Batch processor to handle partial failure cases
 * @returns Lambda Partial Batch Response
 */
declare const processPartialResponseSync: (event: {
    Records: BaseRecord[];
}, recordHandler: CallableFunction, processor: BasePartialBatchProcessor, options?: BatchProcessingOptions) => PartialItemFailureResponse;
export { processPartialResponseSync };
//# sourceMappingURL=processPartialResponseSync.d.ts.map